View in object space viewport

I've a french autocad.
I want to make and name a view in the object space viewport directly. A lisp (edview.lsp)
(defun c:ev ()
(setq pt1 (getpoint "\n1corner of the view")) (setq pt2 (getpoint "\n2corner of the view"))")) (setq txt (getstring "\nname of the view :")) (command "view" "w" txt pt1 pt2) (princ) )
I make all it's ask, including name of the view. Then a prompt appear, who's says "name of the view" unknow command.
Any Idea ?
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Since you're using Franch Autocad the problem may be with the 'language' of the command name. So try changing the line to;
(command "._view" "_w" txt pt1 pt2)
snipped-for-privacy@hotmail.fr wrote:

Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
Your syntax is messed up:
(defun c:ev () (setq pt1 (getpoint "\n1corner of the view")) (setq pt2 (getpoint "\n2corner of the view")) (setq txt (getstring "\nname of the view :")) (command "view" "w" txt pt1 pt2) (princ) )
The quotes and two paraentheses after the corner view setq are extra. Try the above.
--


MichaelB
www.michaelbulatovich.ca
  Click to see the full signature.
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.